### Method

# Gtk Image set_from_file

#### Declaration [src]

    void
    gtk_image_set_from_file (
      GtkImage* image,
      const char* filename
    )

#### Description [src]

Sets a `GtkImage` to show a file.

See `gtk_image_new_from_file()` for details.

Warning

Note that this function should not be used with untrusted data. Use a proper image loading framework such as libglycin, which can load many image formats into a `GdkTexture`, and then use `gtk_image_set_from_paintable()`.

Sets property | `Gtk.Image:file`

#### Parameters

`filename`

  Type: `const char*`

  A filename.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a platform-native string, using the preferred OS encoding on Unix and UTF-8 on Windows.